%define extension	jsse
%define name		%{extension}-ext
%define ver		1.0.3
%define build		03
%define version		%{ver}.%{build}
%define archivever	1_0_3
%define release		1jpp
%define section		non-free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	Java Secure Socket Extension
License:	Sun Binary Code License
Group:		Security/Cryptography
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	%{extension}-%{archivever}_%{build}-gl.zip
NoSource:	0
URL:		http://java.sun.com/products/%{extension}/
BuildArch:	noarch
BuildRequires:  jpackage-utils >= 0:1.5, sed
Requires:	jpackage-utils >= 0:1.5
Provides:	%{extension} = %{version}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The JavaTM Secure Socket Extension (JSSE) is a Java package that
enables secure Internet communications. It implements a Java version of
SSL (Secure Sockets Layer) and TLS (Transport Layer Security) protocols
and includes functionality for data encryption, server authentication,
message integrity, and optional client authentication. Using JSSE,
developers can provide for the secure passage of data between a client
and a server running any application protocol (such as HTTP, Telnet,
NNTP, and FTP) over TCP/IP.
Recent modifications in the United States export regulations now allow
Sun to include stronger cryptographic algorithms in the global version
of JSSE. Note that while there are two downloads, a domestic (US/Canada)
and a global version, they provide the same encryption strength. The
domestic version supports alternate SSL security providers; the global
version supports only the Sun SSL provider.
This is the global version.

Caution, this package doesn't contain any non-distributable sources. You
have to download them and rebuild before use.

%package manual
Group:		Security/Cryptography
Summary:	Manual for %{extension}

%description manual
Manual for %{extension}.

%package javadoc
Group:		Development/Documentation
Summary:	Javadoc for %{extension}

%description javadoc
Javadoc for %{extension}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{extension}%{ver}_%{build}

%install

mkdir -p $RPM_BUILD_ROOT%{_javadir}{-ext/%{extension},-1.3.0,-1.3.1}
install -m 644 lib/%{extension}.jar $RPM_BUILD_ROOT%{_javadir}-ext/%{extension}/%{extension}-%{version}.jar
install -m 644 lib/jcert.jar $RPM_BUILD_ROOT%{_javadir}-ext/%{extension}/jcert-%{version}.jar
install -m 644 lib/jnet.jar $RPM_BUILD_ROOT%{_javadir}-ext/%{extension}/jnet-%{version}.jar
pushd $RPM_BUILD_ROOT%{_javadir}-ext/%{extension}
   for jar in *-%{version}.jar ; do
      ln -fs ${jar} $(echo $jar | sed "s|-%{version}.jar|.jar|g")
   done
popd

ln -fs %{_javadir}-ext/%{extension} $RPM_BUILD_ROOT%{_javadir}-1.3.0
ln -fs %{_javadir}-ext/%{extension} $RPM_BUILD_ROOT%{_javadir}-1.3.1

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{extension}-%{version}
cp -pr doc/apidoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{extension}-%{version}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc *.html *.txt
%dir %{_javadir}-ext/%{extension}
%{_javadir}-ext/%{extension}/*.jar
%{_javadir}-1.3.0/%{extension}
%{_javadir}-1.3.1/%{extension}

%files manual
%defattr(0644,root,root,0755)
%doc doc/guide/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{extension}-%{version}

%changelog
* Thu Jun 24 2004 Nicolas Mailhot <Nicolas.Mailhot (at) laPoste.net> 1.0.3.03-1jpp
- 1.0.3.03

* Mon Feb 02 2004 Nicolas Mailhot <Nicolas.Mailhot (at) laPoste.net> 1.0.3.02-1jpp
- 1.0.3.02

* Tue Mar 25 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 1.0.3.01-5jpp
- Use own directory

* Fri Mar 21 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 1.0.3.01-2jpp
- For jpackage-utils 1.5

* Thu Nov  7 2002 Ville Skytt <ville.skytta at iki.fi> - 1.0.3.01-1jpp
- Update to 1.0.3.01.
- Use sed instead of bash 2 extension when symlinking jars during build.

* Sun Sep 08 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.3-1jpp
- 1.0.3 (thanks Jason Corley <Jason.Corley@togethersoft.com>)
- no macro in url tag

* Sat May 11 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.2-8jpp
- vendor, distribution, group tags

* Fri Apr 05 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.2-7jpp 
- section macro

* Thu Jan 17 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.2-6jpp
- no source package
- jars in %{extension} subdir
- javadoc into javadoc package
- no dependencies for manual and javadoc packages
- standardised summary

* Sun Oct 28 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.2-5jpp
- first unified release
- fixed perm problems

* Tue Oct 09 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.2-4mdk
- s/jPackage/JPackage/
- spec cleanup

* Tue Jul 24 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.2-3mdk
- used original archive
- s/Copyright/License
- truncated despcription length to 72 columns
- updated description for cryptography legal blah-blah
- versionning

* Sat Mar 10 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.2-2mdk
- vendor tag
- packager tag

* Mon Feb 26 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.2-1mdk
- first Mandrake release


